Bug 130065 - CAN-2004-0755 ruby insecure file permissions
CAN-2004-0755 ruby insecure file permissions
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ruby (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-08-16 16:19 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 10:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Test script (312 bytes, text/plain)
2004-08-18 18:43 EDT, Josh Bressers
no flags Details

  None (edit)
Description Josh Bressers 2004-08-16 16:19:36 EDT
From the Debian DSA

Andres Salomon no ticed a problem in the CGI session management of
Ruby, an object-oriented scripting language.  CGI::Session's FileStore
(and presumably PStore, but not in Debian woody) implementations store
session information insecurely.  They simply create files, ignoring
permission issues.  This can lead an attacker who has also shell
access to the webserver to take over a session.

This issue was reported to the Debian bug system

This issue should also affect RHEL2.1

Fedora Core is being handled by bug 130063
Comment 1 Akira TAGOH 2004-08-18 06:41:59 EDT
this problem should be fixed in 1.6.8-9.EL3.1 and 1.6.4-2.AS21.0.
please confirm it.
Comment 2 Josh Bressers 2004-08-18 18:12:51 EDT
This issue is CAN-2004-0755
Comment 3 Josh Bressers 2004-08-18 18:42:35 EDT
I can verify your new rpms fix the problem.  I'll attach my little
test cgi script.
Comment 4 Josh Bressers 2004-08-18 18:43:45 EDT
Created attachment 102862 [details]
Test script

If this bug is fixed, the permissions of the ls the script outputs should be

Comment 5 Josh Bressers 2004-09-30 10:22:37 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.